
%define name	dvb-firmware-ttpci-sc_patched
%define intver	f22623
%define version	2623
%define rel	1
%define distsuffix plf

%define firmname dvb-ttpci-01.fw
%define filename dvb-ttpci-01-%intver-patched.fw
%define firmdir /lib/firmware

%if %mdkversion <= 200600
%define firmdir /lib/hotplug/firmware
%endif

Summary:	SC-patched firmware for dvb-ttpci
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
License:	Freeware
Group:		System/Kernel and hardware
Source0:	http://www.linuxtv.org/%{filename}.bz2
URL:		http://207.44.152.197/
Conflicts:	dvb-firmware-ttpci
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
Firmware for the Siemens/Technotrend/Hauppauge Premium/FF AV7110
based DVB cards featuring MPEG-2 decoder.

This firmware is patched to support the VDR sc plugin.

This package is in PLF because the firmware is non-free.

%prep
%setup -T -c
cp %SOURCE0 .
bunzip2 %{filename}.bz2

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{firmdir}
install -m 644 %{filename} %{buildroot}%{firmdir}
ln -s %{filename} %{buildroot}%{firmdir}/%{firmname}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{firmdir}/%{firmname}
%{firmdir}/%{filename}

%changelog
* Tue Oct 03 2006 Anssi Hannula <anssi@zarb.org> 2623-1plf2007.0
- initial PLF release based on dvb-firmware-ttpci
